XpQueryExtension(3Xp)

NAME
XpQueryExtension - Queries an X Server to determine if it supports the X Print Service Extension, and if it does, what the offsets are for associated events and errors.

SYNOPSIS
      cc [ flag... ] file... -lXp [ library... ]
      #include <X11/extensions/Print.h>

Bool XpQueryExtension ( display, event_base_return error_base_return )
      Display *display;
      int *event_base_return;
      int *error_base_return;

ARGUMENTS

display
    Specifies a pointer to the Display structure; returned from XOpenDisplay.

event_base_return
    The base value for X Print Service Extension events

error_base_return
    The base value for X Print Service Extension errors.

DESCRIPTION

XpQueryExtension determines if the X Print Service Extension is present. It returns True if the extension is supported, otherwise False. If the extension is present, the base values for events and errors are returned, and can be used to decode incoming event and error values. The X Print Service Extension is initialized on the first call to any X Print Service function; there is no need to explicitly initialize the X Print Service Extension.